<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="7.10"
	Name="NDTSCommonHAL"
	ProjectGUID="{F4261FE6-F974-41EC-93FF-7A0D23EF1281}"
	Keyword="Win32Proj">
	<Platforms>
		<Platform
			Name="Win32"/>
	</Platforms>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="Debug"
			IntermediateDirectory="Debug"
			ConfigurationType="2"
			CharacterSet="2">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..\..\thirdparty;..\..\SDKUtilities\src;..\..\Error\src;..\src"
				PreprocessorDefinitions="NDTSHAL_EXPORTS"
				MinimalRebuild="FALSE"
				BasicRuntimeChecks="3"
				RuntimeLibrary="1"
				UsePrecompiledHeader="0"
				BrowseInformation="1"
				WarningLevel="4"
				WarnAsError="TRUE"
				Detect64BitPortabilityProblems="FALSE"
				DebugInformationFormat="3"
				CompileAs="1"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="..\..\Error\lib\$(ConfigurationName)\NDTSError.lib ..\..\SDKUtilities\lib\$(ConfigurationName)\NDTSSDKUtilities.lib"
				OutputFile="$(OutDir)/NDTSCommonHAL.dll"
				LinkIncremental="1"
				AdditionalLibraryDirectories="$(SVNROOT)/rapidaq/sw/error/debug"
				GenerateDebugInformation="TRUE"
				ProgramDatabaseFile="$(OutDir)/NDTSCommonHAL.pdb"
				SubSystem="2"
				LargeAddressAware="2"
				ImportLibrary="$(OutDir)/NDTSCommonHAL.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="scripts\PostBuild.bat $(ConfigurationName) $(SolutionDir)"/>
			<Tool
				Name="VCPreBuildEventTool"
				CommandLine="scripts\PreBuild.bat $(ConfigurationName)"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCXMLDataGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
			<Tool
				Name="VCManagedWrapperGeneratorTool"/>
			<Tool
				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="Release"
			IntermediateDirectory="Release"
			ConfigurationType="2"
			CharacterSet="2"
			WholeProgramOptimization="TRUE">
			<Tool
				Name="VCCLCompilerTool"
				GlobalOptimizations="TRUE"
				FavorSizeOrSpeed="1"
				OptimizeForWindowsApplication="TRUE"
				AdditionalIncludeDirectories="..\..\..\thirdparty;..\..\SDKUtilities\src;..\..\Error\src;..\src"
				PreprocessorDefinitions="NDTSHAL_EXPORTS"
				MinimalRebuild="FALSE"
				RuntimeLibrary="2"
				UsePrecompiledHeader="0"
				WarningLevel="4"
				WarnAsError="TRUE"
				Detect64BitPortabilityProblems="FALSE"
				DebugInformationFormat="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="..\..\Error\lib\$(ConfigurationName)\NDTSError.lib ..\..\SDKUtilities\lib\$(ConfigurationName)\NDTSSDKUtilities.lib"
				OutputFile="$(OutDir)/NDTSCommonHAL.dll"
				LinkIncremental="1"
				GenerateDebugInformation="TRUE"
				SubSystem="2"
				LargeAddressAware="2"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				ImportLibrary="$(OutDir)/NDTSCommonHAL.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="scripts\PostBuild.bat $(ConfigurationName) $(SolutionDir)"/>
			<Tool
				Name="VCPreBuildEventTool"
				CommandLine="scripts\PreBuild.bat $(ConfigurationName)"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCXMLDataGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
			<Tool
				Name="VCManagedWrapperGeneratorTool"/>
			<Tool
				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cxx;def;odl;idl;hpj;bat;asm;asmx"
			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}">
			<File
				RelativePath=".\NDTSCommonHAL.c">
			</File>
			<File
				RelativePath=".\NDTSCommonHALErrors.c">
			</File>
			<File
				RelativePath=".\NDTSCommonHALInternal.c">
			</File>
			<File
				RelativePath=".\NDTSCommonHALProtected.c">
			</File>
			<Filter
				Name="HAL Implementation Source Files"
				Filter="">
				<Filter
					Name="PLX v4.0 Source Files"
					Filter="">
					<File
						RelativePath=".\NDTSCommonHAL_PLX_v40.c">
					</File>
				</Filter>
				<Filter
					Name="PLX v4.4 Source Files"
					Filter="">
					<File
						RelativePath=".\NDTSCommonHAL_PLX_v44.c">
					</File>
				</Filter>
				<Filter
					Name="PLX v5.1 Source Files"
					Filter="">
					<File
						RelativePath=".\NDTSCommonHAL_PLX_v51.c">
					</File>
				</Filter>
				<Filter
					Name="PLX v5.x Source Files"
					Filter="">
				</Filter>
				<Filter
					Name="PLX v5.22 Source Files"
					Filter="">
					<File
						RelativePath=".\NDTSCommonHAL_PLX_v522.c">
					</File>
				</Filter>
			</Filter>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl;inc;xsd"
			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}">
			<File
				RelativePath=".\NDTSCommonHAL.h">
			</File>
			<File
				RelativePath=".\NDTSCommonHALConstants.h">
			</File>
			<File
				RelativePath=".\NDTSCommonHALErrors.h">
			</File>
			<File
				RelativePath=".\NDTSCommonHALInternal.h">
			</File>
			<File
				RelativePath=".\NDTSCommonHALProtected.h">
			</File>
			<File
				RelativePath=".\NDTSEnums.h">
			</File>
			<Filter
				Name="HAL Implementation Header Files"
				Filter="">
				<File
					RelativePath=".\NDTSCommonHALEntryPoints.h">
				</File>
				<Filter
					Name="PLX v4.0 Header Files"
					Filter="">
					<File
						RelativePath=".\NDTSCommonHAL_PLX_v40.h">
					</File>
				</Filter>
				<Filter
					Name="PLX v4.4 Header Files"
					Filter="">
					<File
						RelativePath=".\NDTSCommonHAL_PLX_v44.h">
					</File>
				</Filter>
				<Filter
					Name="PLX v5.1 Header Files"
					Filter="">
					<File
						RelativePath=".\NDTSCommonHAL_PLX_v51.h">
					</File>
				</Filter>
				<Filter
					Name="PLX v5.x Header Files"
					Filter="">
				</Filter>
				<Filter
					Name="PLX v5.22 Header Files"
					Filter="">
					<File
						RelativePath=".\NDTSCommonHAL_PLX_v522.h">
					</File>
				</Filter>
			</Filter>
		</Filter>
		<Filter
			Name="Resource Files"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx"
			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}">
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
